CLS
PRINT "This program checks MILEMARK.DAT for errors."
PRINT
PRINT "It will print dots for all good data, but stop on the first line"
PRINT "that is not in the correct format."
PRINT
PRINT "It is using the fiel APRS\SYSTEM\MILEMARK.DAT"
PRINT

OPEN "aprs\system\milemark.dat" FOR INPUT AS #1
i = 0
DO UNTIL a$ = "END"
   i = i + 1: INPUT #1, a$, dr$, a1, b1, a2, b2
   IF dr$ <> "NS" AND dr$ <> "EW" AND dr$ <> "XX" THEN
      PRINT : PRINT a$; dr$; a1; b1; a2; b2
      INPUT "Hit ENTER to return to DOS"; a$
      STOP
   ELSE PRINT ".";
      
   END IF
LOOP

IF a$ = "END" THEN
   PRINT
   PRINT "Test complete.  NO ERRORS!  "; i; "total lines found."
END IF
INPUT "Hit ENTER to return to DOS"; a$

STOP

